Can't Compile Bespin

Questions about applications and software
Forum rules
Before you post please read how to get help

Can't Compile Bespin

Postby isoscelesrectangle on Wed Dec 29, 2010 2:38 am

Hi everyone, I've installed KDE on my LMDE installation. I'm having issues compiling Bespin in KDE. Is there a dependency list? According to a guide for Linux Mint 7 KDE, I'm only missing Lib-plasma-dev or something like that.
Code: Select all
kevin@kevin-laptop ~/Downloads/cloudcity $ ./configure


==================== Bespin interactive configuration ====================

    Seems you have cmake.
    In addition to the style, you can have a KWin decoration,
    a mac-like menu plasmoid and config plugins IFF you have KDE....

--> Do you want to compile with KDE support? [Y/n]
-- Found Qt-Version 4.6.3 (using /usr/bin/qmake)
-- Found X11: /usr/lib/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
CMake Error at /usr/share/cmake-2.8/Modules/CheckLibraryExists.cmake:59 (FILE):
  file Internal CMake error when trying to open file:
  /home/kevin/Downloads/cloudcity/build/CMakeFiles/CMakeError.log for
  writing.
Call Stack (most recent call first):
  /usr/share/cmake-2.8/Modules/FindThreads.cmake:49 (CHECK_LIBRARY_EXISTS)
  /usr/share/kde4/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
  /usr/share/kde4/apps/cmake/modules/FindQt4.cmake:1208 (INCLUDE)
  /usr/share/kde4/apps/cmake/modules/FindKDE4Internal.cmake:347 (find_package)
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
  CMakeLists.txt:14 (find_package)


-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4
-- Found Perl: /usr/bin/perl
-- Phonon Version: 4.4.2
-- Found Phonon: /usr/lib/libphonon.so
-- Found Phonon Includes: /usr/include/KDE;/usr/include
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.4 include dir: /usr/include
-- Found KDE 4.4 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- WARNING: *** ARGB windows are experimental, performance might suffer ***
-- Found X11: /usr/lib/libX11.so
CMake Error: Could not open file for write in copy operation /home/kevin/Downloads/cloudcity/build/config/kstyle_bespin_config_automoc.cpp.files.tmp
CMake Error: : System Error: Permission denied
CMake Error at /usr/lib/automoc4/Automoc4Config.cmake:183 (configure_file):
  configure_file Problem configuring file
Call Stack (most recent call first):
  /usr/lib/automoc4/Automoc4Config.cmake:243 (_add_automoc4_target)
  /usr/share/kde4/apps/cmake/modules/KDE4Macros.cmake:620 (_automoc4_kde4_pre_target_handling)
  config/CMakeLists.txt:35 (kde4_add_plugin)


-- Configuring incomplete, errors occurred!
kevin@kevin-laptop ~/Downloads/cloudcity $ ./configure


==================== Bespin interactive configuration ====================

    Seems you have cmake.
    In addition to the style, you can have a KWin decoration,
    a mac-like menu plasmoid and config plugins IFF you have KDE....

--> Do you want to compile with KDE support? [Y/n]
Compiling Qt/qmake only...
### Qt4 found in"/usr"


========================= Configuration done ============================

   Ok, now just "make" and "sudo make install"...


kevin@kevin-laptop ~/Downloads/cloudcity $ make
make -f Makefile.bespin
make[1]: Entering directory `/home/kevin/Downloads/cloudcity'
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -fPIC -DBLIB_EXPORT= -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DBUS_LIB -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtDBus -I/usr/include/qt4 -I/usr/X11R6/include -I. -o tab.o animator/tab.cpp
In file included from animator/tab.cpp:31:
animator/../blib/FX.h:31:36: error: X11/extensions/Xrender.h: No such file or directory
In file included from animator/tab.cpp:31:
animator/../blib/FX.h:34: error: ‘Picture’ does not name a type
animator/../blib/FX.h:45: error: variable or field ‘freePicture’ declared void
animator/../blib/FX.h:45: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:46: error: variable or field ‘composite’ declared void
animator/../blib/FX.h:46: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:46: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:46: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:48: error: expected primary-expression before ‘w’
animator/../blib/FX.h:48: error: expected primary-expression before ‘h’
animator/../blib/FX.h:48: error: expected primary-expression before ‘int’
animator/../blib/FX.h:49: error: variable or field ‘composite’ declared void
animator/../blib/FX.h:49: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:49: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:49: error: expected primary-expression before ‘const’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:51: error: expected primary-expression before ‘w’
animator/../blib/FX.h:51: error: expected primary-expression before ‘h’
animator/../blib/FX.h:51: error: expected primary-expression before ‘int’
animator/../blib/FX.h:52: error: ‘OXPicture’ has not been declared
animator/../blib/FX.h:54: error: ‘PictOpSrc’ was not declared in this scope
animator/../blib/FX.h:56: error: variable or field ‘setColor’ declared void
animator/../blib/FX.h:56: error: ‘XRenderColor’ was not declared in this scope
animator/../blib/FX.h:56: error: ‘xc’ was not declared in this scope
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:57: error: variable or field ‘setColor’ declared void
animator/../blib/FX.h:57: error: ‘XRenderColor’ was not declared in this scope
animator/../blib/FX.h:57: error: ‘xc’ was not declared in this scope
animator/../blib/FX.h:57: error: expected primary-expression before ‘qc’
make[1]: *** [tab.o] Error 1
make[1]: Leaving directory `/home/kevin/Downloads/cloudcity'
make: *** [sub-bespin-pro-make_default] Error 2
kevin@kevin-laptop ~/Downloads/cloudcity $ sudo make install
make -f Makefile.bespin install
make[1]: Entering directory `/home/kevin/Downloads/cloudcity'
g++ -c -pipe -O2 -D_REENTRANT -Wall -W -fPIC -DBLIB_EXPORT= -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DBUS_LIB -DQT_QT3SUPPORT_LIB -DQT3_SUPPORT -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtDBus -I/usr/include/qt4 -I/usr/X11R6/include -I. -o tab.o animator/tab.cpp
In file included from animator/tab.cpp:31:
animator/../blib/FX.h:31:36: error: X11/extensions/Xrender.h: No such file or directory
In file included from animator/tab.cpp:31:
animator/../blib/FX.h:34: error: ‘Picture’ does not name a type
animator/../blib/FX.h:45: error: variable or field ‘freePicture’ declared void
animator/../blib/FX.h:45: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:46: error: variable or field ‘composite’ declared void
animator/../blib/FX.h:46: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:46: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:46: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:47: error: expected primary-expression before ‘int’
animator/../blib/FX.h:48: error: expected primary-expression before ‘w’
animator/../blib/FX.h:48: error: expected primary-expression before ‘h’
animator/../blib/FX.h:48: error: expected primary-expression before ‘int’
animator/../blib/FX.h:49: error: variable or field ‘composite’ declared void
animator/../blib/FX.h:49: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:49: error: ‘OXPicture’ was not declared in this scope
animator/../blib/FX.h:49: error: expected primary-expression before ‘const’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:50: error: expected primary-expression before ‘int’
animator/../blib/FX.h:51: error: expected primary-expression before ‘w’
animator/../blib/FX.h:51: error: expected primary-expression before ‘h’
animator/../blib/FX.h:51: error: expected primary-expression before ‘int’
animator/../blib/FX.h:52: error: ‘OXPicture’ has not been declared
animator/../blib/FX.h:54: error: ‘PictOpSrc’ was not declared in this scope
animator/../blib/FX.h:56: error: variable or field ‘setColor’ declared void
animator/../blib/FX.h:56: error: ‘XRenderColor’ was not declared in this scope
animator/../blib/FX.h:56: error: ‘xc’ was not declared in this scope
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:56: error: expected primary-expression before ‘double’
animator/../blib/FX.h:57: error: variable or field ‘setColor’ declared void
animator/../blib/FX.h:57: error: ‘XRenderColor’ was not declared in this scope
animator/../blib/FX.h:57: error: ‘xc’ was not declared in this scope
animator/../blib/FX.h:57: error: expected primary-expression before ‘qc’
make[1]: *** [tab.o] Error 1
make[1]: Leaving directory `/home/kevin/Downloads/cloudcity'
make: *** [sub-bespin-pro-install_subtargets] Error 2
isoscelesrectangle
Level 1
Level 1
 
Posts: 2
Joined: Wed Dec 29, 2010 12:17 am

Linux Mint is funded by ads and donations.
 

Return to Software & Applications

Who is online

Users browsing this forum: No registered users and 2 guests